> ## Documentation Index
> Fetch the complete documentation index at: https://docs.learningcommons.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Local files

> Download JSON files to access Knowledge Graph data.

Knowledge Graph data can be downloaded as 2 files in newline delimited JSONL format with UTF-8 encoding:

* `nodes.jsonl` - Contains Knowledge Graph [entities](/knowledge-graph/understanding-knowledge-graph/core-concepts#entities) (graph nodes)
* `relationships.jsonl` - Contains Knowledge Graph [relationships](/knowledge-graph/understanding-knowledge-graph/core-concepts#relationships) (graph edges)

## Download options

* Direct links - [`nodes.jsonl`](https://cdn.learningcommons.org/knowledge-graph/v1.10.1/exports/nodes.jsonl?ref=docs) ↗ and [`relationships.jsonl`](https://cdn.learningcommons.org/knowledge-graph/v1.10.1/exports/relationships.jsonl?ref=docs) ↗
* [`curl`](https://github.com/curl/curl) ↗ commands

  ```bash For entities theme={null}
  curl -L "https://cdn.learningcommons.org/knowledge-graph/v1.10.1/exports/nodes.jsonl?ref=docs_curl" -o nodes.jsonl
  ```

  ```bash For relationships theme={null}
  curl -L "https://cdn.learningcommons.org/knowledge-graph/v1.10.1/exports/relationships.jsonl?ref=docs_curl" -o relationships.jsonl
  ```
